<?php


namespace App\Repository\Base;


use App\Enums\SMSEnums;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Http\Request;

class BaseRepo implements BaseRepoInterface
{

    protected $model;

    public function __construct(Model $model)
    {
        $this->model = $model;
    }

    public function find($id): ?Model
    {
        return $this->model->query()->find($id);
    }
}
